Bug 190836 - xmTextFieldClass widgets don't work properly
xmTextFieldClass widgets don't work properly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-05 12:23 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-12 14:42:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample Motif code (3.54 KB, text/plain)
2006-05-05 12:23 EDT, Orion Poplawski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 127180 None None None Never

  None (edit)
Description Orion Poplawski 2006-05-05 12:23:38 EDT
Description of problem:

The attached Motif code works properly on an SGI Irix system, but not on FC4 or
FC5 (the two I've tested).  Interstingly enough, it also doesn't work if I run
the code on the Irix box and display it on an FC machine.  So, it might not be
openmotif itself, but rather the X server.  I figured I'd start here though in
case the Motif packager had any insight.

In the app, you should be able to type in the "Command Area:" and have what you
typed appear in the "Message Area:" when you press return.  However, you cannot
select or otherwise activate the Command Area: TextField.
 
Version-Release number of selected component (if applicable):
openmotif-2.3.0-0.1.9.2
Comment 1 Orion Poplawski 2006-05-05 12:23:38 EDT
Created attachment 128666 [details]
Sample Motif code
Comment 2 Thomas Woerner 2006-05-06 05:42:12 EDT
I am able to type in the Command area and after pressing return, the test is
appearing in the Message area with openmotif-2.3.0-0.1.9.2 on FC5.

What exactly is not working for you?
Comment 3 Orion Poplawski 2006-05-08 11:41:21 EDT
I can't type in the Command area.  Perhaps it is a KDE issue?  That's what we
use here.
Comment 4 Orion Poplawski 2006-05-11 17:27:52 EDT
Reassigning to kde as this appears to be a KDE window manager issue.  Works okay
in Gnome and Xfce.
Comment 5 Ngo Than 2006-05-12 14:42:17 EDT
yes, it's a bug in kdebase and has been already fixed in our CVS. I will build 
new kdebase including this fix in FC5 update next week. As quick workaround 
you should please disable "Apply colors to non-KDE applications" in 
kcontrol->Appearance & Themes->Colors

thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.